Package net.postgis.jdbc.geometry.util

## Enum VersionFunctions

- java.lang.Object
- - java.lang.Enum<VersionFunctions>
  - - net.postgis.jdbc.geometry.util.VersionFunctions

All Implemented Interfaces:
  `Serializable`, `Comparable<VersionFunctions>`

    public enum VersionFunctions
    extends Enum<VersionFunctions>

An enumeration of existing version functions.

Author:
  Phillip Ross

### Enum Constant Summary

Enum Constants
`POSTGIS_FULL_VERSION` The function to return the full version and build configuration info of the PostGIS Server.
`POSTGIS_GDAL_VERSION` The function to return the version of the GDAL library.
`POSTGIS_GEOS_VERSION` The function to return the version of the GEOS library.
`POSTGIS_LIB_BUILD_DATE` The function to return the build date of the PostGIS library.
`POSTGIS_LIB_VERSION` The function to return the version of the PostGIS library.
`POSTGIS_LIBJSON_VERSION` The function to return the version of the libjson library.
`POSTGIS_LIBXML_VERSION` The function to return the version of the libxml library.
`POSTGIS_PROJ_VERSION` The function to return the version of the Proj library.
`POSTGIS_RASTER_LIB_VERSION` The function to return the version of the raster library.
`POSTGIS_SCRIPTS_BUILD_DATE` The function to return the build date of the scripts.
`POSTGIS_SCRIPTS_INSTALLED` The function to return the version of the scripts installed in the database.
`POSTGIS_SCRIPTS_RELEASED` The function to return the version of the scripts released with the installed PostGIS library.
`POSTGIS_SVN_VERSION` The function to return the Subversion version of the PostGIS Server.
`POSTGIS_VERSION` The function to return the version of the PostGIS Server.

### Method Summary

All Methods Static Methods Concrete Methods
`static VersionFunctions` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static VersionFunctions[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### POSTGIS_FULL_VERSION

    public static final VersionFunctions POSTGIS_FULL_VERSION

The function to return the full version and build configuration info of the PostGIS Server.

#### POSTGIS_GDAL_VERSION

    public static final VersionFunctions POSTGIS_GDAL_VERSION

The function to return the version of the GDAL library.

#### POSTGIS_GEOS_VERSION

    public static final VersionFunctions POSTGIS_GEOS_VERSION

The function to return the version of the GEOS library.

#### POSTGIS_LIB_BUILD_DATE

    public static final VersionFunctions POSTGIS_LIB_BUILD_DATE

The function to return the build date of the PostGIS library.

#### POSTGIS_LIB_VERSION

    public static final VersionFunctions POSTGIS_LIB_VERSION

The function to return the version of the PostGIS library.

#### POSTGIS_LIBJSON_VERSION

    public static final VersionFunctions POSTGIS_LIBJSON_VERSION

The function to return the version of the libjson library.

#### POSTGIS_LIBXML_VERSION

    public static final VersionFunctions POSTGIS_LIBXML_VERSION

The function to return the version of the libxml library.

#### POSTGIS_PROJ_VERSION

    public static final VersionFunctions POSTGIS_PROJ_VERSION

The function to return the version of the Proj library.

#### POSTGIS_RASTER_LIB_VERSION

    public static final VersionFunctions POSTGIS_RASTER_LIB_VERSION

The function to return the version of the raster library.

#### POSTGIS_SCRIPTS_BUILD_DATE

    public static final VersionFunctions POSTGIS_SCRIPTS_BUILD_DATE

The function to return the build date of the scripts.

#### POSTGIS_SCRIPTS_INSTALLED

    public static final VersionFunctions POSTGIS_SCRIPTS_INSTALLED

The function to return the version of the scripts installed in the database.

#### POSTGIS_SCRIPTS_RELEASED

    public static final VersionFunctions POSTGIS_SCRIPTS_RELEASED

The function to return the version of the scripts released with the installed PostGIS library.

#### POSTGIS_SVN_VERSION

    public static final VersionFunctions POSTGIS_SVN_VERSION

The function to return the Subversion version of the PostGIS Server.

#### POSTGIS_VERSION

    public static final VersionFunctions POSTGIS_VERSION

The function to return the version of the PostGIS Server.

### Method Detail

#### values

    public static VersionFunctions[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (VersionFunctions c : VersionFunctions.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static VersionFunctions valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null